SDL Library Documentation
Prev |  | Next

# SDL_GL_GetAttribute

## Name

SDL_GL_GetAttribute -- Get the value of a special SDL/OpenGL attribute

## Synopsis

    #include "SDL.h"

``int SDL_GL_GetAttribute`(SDLGLattr attr, int *value);`

## Description

Places the value of the SDL/OpenGL attribute `attr` into `value`. This is useful after a call to `SDL_SetVideoMode` to check whether your attributes have been set as you expected.

## Return Value

Returns 0 on success, or -1 on an error.

## See Also

`SDL_GL_SetAttribute`, GL Attributes

Prev | Home | Next
SDL_GL_GetProcAddress | Up | SDL_GL_SetAttribute